%define oname xapian-core
%define major 22
%define libname %mklibname xapian %{major}
%define develname %mklibname xapian -d

Summary:	Open Source Search Engine Library
Name:           xapian-core
Version:	1.2.22
Release:        %mkrel 2
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	zlib-devel
BuildRequires:	libuuid-devel
Provides:	xapian = %version-%release

%description
Xapian is an Open Source Search Engine Library, released under the 
GPL. It's written in C++, with bindings to allow use from Perl, 
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications. 
It supports the Probabilistic Information Retrieval model and also 
supports a rich set of boolean query operators.


#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname %{name} 14

%description -n %{libname}
Libraries for %{name}.


#--------------------------------------------------------------------

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}xapian22-devel

%description -n %{develname}
Header files for %{name}.


#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build

%ifarch %{ix86}
%__mkdir_p build-%{_target_cpu}
pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-sse
%make
popd

%__mkdir_p build-sse2
pushd build-sse2
CONFIGURE_TOP=.. %configure2_5x --disable-static
%make
popd

%else
%configure2_5x
%make
%endif

%install
rm -rf %buildroot
%ifarch %{ix86}
%makeinstall_std -C build-%{_target_cpu}

%__make -C build-sse2 DESTDIR=%{buildroot}/sse2 install
%__mkdir_p %{buildroot}/%{_libdir}/sse2
%__mv %{buildroot}/sse2/%{_libdir}/libxapian.so.* %{buildroot}/%{_libdir}/sse2
%__rm -rf %{buildroot}/sse2
%else
%makeinstall_std
%endif

rm -f %{buildroot}/%{_libdir}/libxapian.a 
rm -f %{buildroot}/%{_libdir}/libxapian.la

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-progsrv
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-inspect
%{_bindir}/xapian-chert-update
%{_bindir}/xapian-metadata
%{_bindir}/xapian-replicate
%{_bindir}/xapian-replicate-server
%{_mandir}/man1/*


%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*
%ifarch %{ix86}
%{_libdir}/sse2/libxapian.so.%{major}*
%endif


%files  -n %{develname}
%{_bindir}/xapian-config
%doc %{_docdir}/%{oname}/
%dir %{_includedir}/xapian
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/xapian-config-version.cmake
%{_libdir}/cmake/xapian/xapian-config.cmake
%{_libdir}/pkgconfig/xapian-core.pc


%changelog
* Wed Jan 06 2016 bb <bb> 1.2.22-2pclos2016
- provide xapian

* Tue Jan 05 2016 bb <bb> 1.2.22-1pclos2016
- update

* Sun Oct 02 2011 Texstar <texstar at gmail.com> 1.2.6-1pclos2011
- 1.2.6

